spark-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From jun <kit...@126.com>
Subject Re:Intellij IDEA can not recognize the MLlib package
Date Sun, 03 Aug 2014 09:06:58 GMT
Sorry the color is missing. the "mllib" is red word and "import" sentence is grey.>>import
org.apache.spark.mllib.recommendation.ALS

At 2014-08-03 05:03:31, jun" <kitaev@126.com> wrote: >Hi, > > >I have started
my spark exploration in intellij IDEA local model and want to focus on MLlib part. >but
when I put some example codes in IDEA, It can not recognize mllib package, just loos like
that: > > >> >> import org.apache.spark.SparkContext >>import org.apache.spark.mllib.recommendation.ALS
>> > > >I hava configured the breeze in build.sbt file and also install the
mingw gcc & gfortran lib. Here is my build.sbt: > > >>>>> build.sbt
<<<< >name := "SparkMLlibLocal" version := "1.0" resolvers += "Ooyala Bintray"
at "http://dl.bintray.com/ooyala/maven" resolvers += "Akka Repository" at "http://repo.akka.io/releases/"
libraryDependencies += "ooyala.cnd" % "job-server" % "0.3.1" % "provided" libraryDependencies
+= "com.github.fommil.netlib" % "all" % "1.1.2" libraryDependencies += "org.apache.spark"
%% "spark-core" % "1.0.0" libraryDependencies ++= Seq( "org.scalanlp" %% "breeze" % "0.8.1",
"org.scalanlp" %% "breeze-natives" % "0.8.1" ) resolvers ++= Seq( "Sonatype Snapshots" at
"https://oss.sonatype.org/content/repositories/snapshots/", "Sonatype Releases" at "https://oss.sonatype.org/content/repositories/releases/"
) scalaVersion := "2.10.3" >>>>> End <<<< > > >Is there
anything I missed? > > >BR >Kitaev
Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message